# torchninja

torchninja is a Python package that provides tools for training PyTorch models. It offers a flexible and easy-to-use training framework with built-in functionality for logging, metrics tracking, and model checkpointing.

## Features

- Simplifies the process of training PyTorch models.
- Flexible and customizable trainer class.
- Automatic logging of training progress and metrics.
- Support for model checkpointing to save and load model states.
- Easy integration with TensorBoard for visualizing training metrics.
- Provides utility functions for common tasks in PyTorch model training.

## Installation

You can install torchninja using pip:

```shell
pip install torchninja
```

torchninja has the following dependencies:

- torch
- torchvision
- tensorboard
- tqdm
- numpy
- matplotlib

Make sure these dependencies are installed in your environment before using torchninja.

## Getting Started

To get started with torchninja, you can refer to the `examples` directory in the project repository. It contains example scripts that demonstrate how to use the torchninja trainer class to train a PyTorch model. You can modify these examples according to your specific use case.

## Documentation

The documentation for torchninja is available on the project's GitHub repository:

- [torchninja GitHub repository](https://github.com/silvaan/torchninja)

The documentation provides detailed information on the usage of the torchninja package, including the trainer class, available functionality, and usage examples.

## Contributing

Contributions to torchninja are welcome! If you find any issues, have suggestions for improvements, or would like to add new features, please open an issue or submit a pull request on the project's GitHub repository.

## License

torchninja is released under the MIT License. See the [LICENSE](LICENSE) file for details.

## Contact

For any questions or inquiries, you can reach out to the project author:

- Author: Silvan Ferreira
- Email: silvanfj@gmail.com

Feel free to contact the author for any assistance or collaboration opportunities related to torchninja.